System.Web 2.0.0.0 System.Enum

When you specify one of the enumeration values as the parameter in a method call, that value forces the text writer to adhere to the restrictions of that XHTML document type.

XHTML Basic is the mobile version of XHTML 1.0 and supports the minimum number of XHTML modules to be an XHTML document. It is designed for clients that do not support the full set of XHTML features, such as mobile phones, personal digital assistants (PDAs), pagers, and set-top boxes. With XHTML Basic, a document can be presented on the maximum number of clients, including a wide range of mobile phones with different display formats and presentation capabilities.

XHTML Mobile Profile adds to XHTML Basic several additional elements and attributes from the full XHTML 1.0, including additional presentation elements and support for internal style sheets.

WML 2.0 expands on both XHTML Basic and XHTML Mobile Profile by providing support for cascading style sheets.

Specifies the type of XHTML for the class to render to the page or control.

- Field
  System.Web.UI.XhtmlMobileDocType

  Specifies the WML 2.0 format.

  2.0.0.0
- Field
  System.Web.UI.XhtmlMobileDocType

  Specifies the XHTML Basic format. This format does not support frames and styles.

  2.0.0.0
- Field
  System.Web.UI.XhtmlMobileDocType

  Specifies the XHTML Mobile Profile format.

  2.0.0.0